## ESourceWeather ESourceWeather |

## Functions

const gchar * | e_source_weather_get_location ()
gchar * | e_source_weather_dup_location ()
void | e_source_weather_set_location ()
ESourceWeatherUnits | e_source_weather_get_units ()
void | e_source_weather_set_units ()

## Types and Values

#define | E_SOURCE_EXTENSION_WEATHER_BACKEND

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceWeather

## Description

## Functions

### e_source_weather_get_location ()

    const gchar *
    e_source_weather_get_location (ESourceWeather *extension);

### e_source_weather_dup_location ()

    gchar *
    e_source_weather_dup_location (ESourceWeather *extension);

### e_source_weather_set_location ()

    void
    e_source_weather_set_location (ESourceWeather *extension,
                                   const gchar *location);

### e_source_weather_get_units ()

    ESourceWeatherUnits
    e_source_weather_get_units (ESourceWeather *extension);

### e_source_weather_set_units ()

    void
    e_source_weather_set_units (ESourceWeather *extension,
                                ESourceWeatherUnits units);

## Types and Values

### E_SOURCE_EXTENSION_WEATHER_BACKEND

    #define E_SOURCE_EXTENSION_WEATHER_BACKEND "Weather Backend"

Pass this extension name to `e_source_get_extension()` to access ESourceWeather. This is also used as a group name in key files.

Since: 3.18